auction/bids
GET
/auction/bidsList bid and non-bid rows matching the requested filters. Requires the auctions:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auction/bids?start_time=1712448000&end_time=1712534399" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Query parameters
| Name | Type | Description |
|---|---|---|
start_timerequired | integer<int64> | Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC. |
end_timerequired | integer<int64> | End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC. |
test_mode | string | Traffic mode to include. Defaults to production traffic. Allowed values: production, test, all. |
app_bundle | string | App bundle identifier filter. |
ad_unit_id | string | Ad unit ID filter. |
country | string | ISO 3166-1 alpha-2 country code filter. |
device_os | string | Device operating system filter. Allowed values: iOS, Android. |
limit | integer<int32> | Maximum number of rows to return. |
floor_source | string | Floor source filter. Allowed values: static, dynamic, publisher, configured. |
Responses
Matching bid rows.
{
"bids": [
{
"auction_id": "<string>",
"account_id": "<string>",
"event_time": "<string>",
"bidder": "<string>",
"bid_id": "<string>",
"imp_id": "<string>",
"price_cpm": 12.34,
"deal_id": "<string>",
"is_winner": true,
"app_bundle": "<string>",
"ad_unit_id": "<string>",
"device_os": "<string>",
"device_country": "<string>",
"sdk_version": "<string>",
"test_mode": true,
"status": "<string>",
"nonbid_reason": 123,
"static_floor": 12.34,
"configured_floor": 12.34,
"dynamic_floor": 12.34,
"publisher_floor": 12.34,
"publisher_floor_applied": true,
"effective_floor": 12.34,
"effective_floor_source": "<string>",
"publisher_override_active": true,
"http_status": 123,
"latency_ms": 123,
"error_type": "<string>",
"rejection_reason": "<string>",
"round_number": 123,
"priority": 123,
"inserted_at": "<string>"
}
]
}200 Matching bid rows.
| Field | Type | Description |
|---|---|---|
bidsrequired | array of object |
400 Invalid request parameters.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |